package com.yzx.escreen.model

import com.blankj.utilcode.util.TimeUtils

class YzxClientInfo {
    var type: Int = 0
    var user_id: String = ""
    var unit_id: String = ""
    var token: String = ""
    var service_timestamp: Long = 0
    var data: MsgStu = MsgStu()
}

data class MsgStu(val unit_id: Int = 0, val student_id: Int = 0)


data class YzxHeart(
    val type: Int = 70,
    val msg: String = "heart",
    val timestamp: String = ""
) {
    fun getYzxHeader(): YzxHeart {
        return YzxHeart(timestamp = TimeUtils.getNowString())
    }
}
